Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

## Class OrganisationIdentificationSDDChoice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_002_01.OrganisationIdentificationSDDChoice

    public class OrganisationIdentificationSDDChoice
    extends java.lang.Object

Java class for OrganisationIdentificationSDDChoice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OrganisationIdentificationSDDChoice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="BIC" type="{urn:swift:xsd:$pain.008.002.01}BICIdentifier"/>
               <element name="IBEI" type="{urn:swift:xsd:$pain.008.002.01}IBEIIdentifier"/>
               <element name="BEI" type="{urn:swift:xsd:$pain.008.002.01}BEIIdentifier"/>
               <element name="EANGLN" type="{urn:swift:xsd:$pain.008.002.01}EANGLNIdentifier"/>
               <element name="USCHU" type="{urn:swift:xsd:$pain.008.002.01}CHIPSUniversalIdentifier"/>
               <element name="DUNS" type="{urn:swift:xsd:$pain.008.002.01}DunsIdentifier"/>
               <element name="BkPtyId" type="{urn:swift:xsd:$pain.008.002.01}Max35Text"/>
               <element name="TaxIdNb" type="{urn:swift:xsd:$pain.008.002.01}Max35Text"/>
               <element name="PrtryId" type="{urn:swift:xsd:$pain.008.002.01}GenericIdentification3"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `bei`
`protected java.lang.String` `bic`
`protected java.lang.String` `bkPtyId`
`protected java.lang.String` `duns`
`protected java.lang.String` `eangln`
`protected java.lang.String` `ibei`
`protected GenericIdentification3` `prtryId`
`protected java.lang.String` `taxIdNb`
`protected java.lang.String` `uschu`

### Constructor Summary

Constructors
`OrganisationIdentificationSDDChoice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getBEI()` Gets the value of the bei property.
`java.lang.String` `getBIC()` Gets the value of the bic property.
`java.lang.String` `getBkPtyId()` Gets the value of the bkPtyId property.
`java.lang.String` `getDUNS()` Gets the value of the duns property.
`java.lang.String` `getEANGLN()` Gets the value of the eangln property.
`java.lang.String` `getIBEI()` Gets the value of the ibei property.
`GenericIdentification3` `getPrtryId()` Gets the value of the prtryId property.
`java.lang.String` `getTaxIdNb()` Gets the value of the taxIdNb property.
`java.lang.String` `getUSCHU()` Gets the value of the uschu property.
`void` `setBEI​(java.lang.String value)` Sets the value of the bei property.
`void` `setBIC​(java.lang.String value)` Sets the value of the bic property.
`void` `setBkPtyId​(java.lang.String value)` Sets the value of the bkPtyId property.
`void` `setDUNS​(java.lang.String value)` Sets the value of the duns property.
`void` `setEANGLN​(java.lang.String value)` Sets the value of the eangln property.
`void` `setIBEI​(java.lang.String value)` Sets the value of the ibei property.
`void` `setPrtryId​(GenericIdentification3 value)` Sets the value of the prtryId property.
`void` `setTaxIdNb​(java.lang.String value)` Sets the value of the taxIdNb property.
`void` `setUSCHU​(java.lang.String value)` Sets the value of the uschu property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bic

    protected java.lang.String bic

#### ibei

    protected java.lang.String ibei

#### bei

    protected java.lang.String bei

#### eangln

    protected java.lang.String eangln

#### uschu

    protected java.lang.String uschu

#### duns

    protected java.lang.String duns

#### bkPtyId

    protected java.lang.String bkPtyId

#### taxIdNb

    protected java.lang.String taxIdNb

#### prtryId

    protected GenericIdentification3 prtryId

### Constructor Detail

#### OrganisationIdentificationSDDChoice

    public OrganisationIdentificationSDDChoice()

### Method Detail

#### getBIC

    public java.lang.String getBIC()

Gets the value of the bic property.

Returns:
  possible object is `String`

#### setBIC

    public void setBIC​(java.lang.String value)

Sets the value of the bic property.

Parameters:
  `value` - allowed object is `String`

#### getIBEI

    public java.lang.String getIBEI()

Gets the value of the ibei property.

Returns:
  possible object is `String`

#### setIBEI

    public void setIBEI​(java.lang.String value)

Sets the value of the ibei property.

Parameters:
  `value` - allowed object is `String`

#### getBEI

    public java.lang.String getBEI()

Gets the value of the bei property.

Returns:
  possible object is `String`

#### setBEI

    public void setBEI​(java.lang.String value)

Sets the value of the bei property.

Parameters:
  `value` - allowed object is `String`

#### getEANGLN

    public java.lang.String getEANGLN()

Gets the value of the eangln property.

Returns:
  possible object is `String`

#### setEANGLN

    public void setEANGLN​(java.lang.String value)

Sets the value of the eangln property.

Parameters:
  `value` - allowed object is `String`

#### getUSCHU

    public java.lang.String getUSCHU()

Gets the value of the uschu property.

Returns:
  possible object is `String`

#### setUSCHU

    public void setUSCHU​(java.lang.String value)

Sets the value of the uschu property.

Parameters:
  `value` - allowed object is `String`

#### getDUNS

    public java.lang.String getDUNS()

Gets the value of the duns property.

Returns:
  possible object is `String`

#### setDUNS

    public void setDUNS​(java.lang.String value)

Sets the value of the duns property.

Parameters:
  `value` - allowed object is `String`

#### getBkPtyId

    public java.lang.String getBkPtyId()

Gets the value of the bkPtyId property.

Returns:
  possible object is `String`

#### setBkPtyId

    public void setBkPtyId​(java.lang.String value)

Sets the value of the bkPtyId property.

Parameters:
  `value` - allowed object is `String`

#### getTaxIdNb

    public java.lang.String getTaxIdNb()

Gets the value of the taxIdNb property.

Returns:
  possible object is `String`

#### setTaxIdNb

    public void setTaxIdNb​(java.lang.String value)

Sets the value of the taxIdNb property.

Parameters:
  `value` - allowed object is `String`

#### getPrtryId

    public GenericIdentification3 getPrtryId()

Gets the value of the prtryId property.

Returns:
  possible object is `GenericIdentification3`

#### setPrtryId

    public void setPrtryId​(GenericIdentification3 value)

Sets the value of the prtryId property.

Parameters:
  `value` - allowed object is `GenericIdentification3`